Sound: To Formant (sl)...

A command that creates a Formant object from every selected Sound object. Not recommended for general use.

## Purpose

to perform a short-term spectral analysis, approximating the spectrum of each frame by a number of formants.

## Settings

The same as with Sound: To Formant (burg)....

## Algorithm

The algorithm is based on the implementation of the “Split Levinson” algorithm by Willems (1986). This algorithm will always find the requested number of formants in every frame, even if they do not exist. The standard routine (Sound: To Formant (burg)...) yields much more reliable formant values, though it is more sensitive to the Formant ceiling argument.

Because of the general funny behaviour of the Split-Levinson algorithm, we did not bother to implement an analysis of the bandwidths. They are all set arbitrarily to 50 Hz.

### Links to this page

- Formants & LPC menu